package com.realnet.x2-b.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.x2-b.Entity.Profile_x;
import com.realnet.x2-b.Services.Profile_xService ;






@RequestMapping(value = "/token/Profile_x")
 @CrossOrigin("*") 
@RestController
public class tokenFree_Profile_xController {
	@Autowired
	private Profile_xService Service;

@Value("${projectPath}")
	private String projectPath;
 






	@PostMapping("/Profile_x")
		  public Profile_x Savedata(@RequestBody Profile_x data) {
		Profile_x save = Service.Savedata(data)	;





		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Profile_x/{id}")
	public  Profile_x update(@RequestBody Profile_x data,@PathVariable Integer id ) {
		Profile_x update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Profile_x/getall/page")
	public Page<Profile_x> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Profile_x> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Profile_x")
	public List<Profile_x> getdetails() {
		 List<Profile_x> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Profile_x")
	public List<Profile_x> getallwioutsec() {
		 List<Profile_x> get = Service.getdetails();		
		return get;
}
@GetMapping("/Profile_x/{id}")
	public  Profile_x  getdetailsbyId(@PathVariable Integer id ) {
		Profile_x  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Profile_x/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}







}